Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
display::DisplayControl::SettingsChangedEvent Struct Reference

Event: Settings were changed. More...

`import <DisplayControl.idl;`

Inheritance diagram for display::DisplayControl::SettingsChangedEvent:

## Public Attributes
Settings | newSettings
| New settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Settings were changed.

Definition at line 45 of file DisplayControl.idl.

## Member Data Documentation

## ◆ newSettings

Settings display::DisplayControl::SettingsChangedEvent::newSettings

New settings.

Definition at line 46 of file DisplayControl.idl.

The documentation for this struct was generated from the following file:

- DisplayControl.idl